Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire
Class MessageContext

    java.lang.Object
      org.codehaus.xfire.MessageContext

    public class MessageContext

extends java.lang.Object

Holds inforrmation about the message request and response.

Since:
  Feb 13, 2004
Author:
  Dan Diephouse

Constructor Summary
`MessageContext()`

Method Summary
`MessageExchange` | `createMessageExchange(OperationInfo operation)`
`MessageExchange` | `createMessageExchange(java.lang.String mepUri)`
`MessageExchange` | `getExchange()`
`InMessage` | `getInMessage()`
`HandlerPipeline` | `getInPipeline()`
`OutMessage` | `getOutMessage()`
`HandlerPipeline` | `getOutPipeline()`
`java.lang.Object` | `getProperty(java.lang.Object key)`
`Service` | `getService()` The service being invoked.
`Session` | `getSession()` The session that this request is a part of.
`XFire` | `getXFire()`
`void` | `setExchange(MessageExchange exchange)`
`void` | `setInPipeline(HandlerPipeline messagePipeline)`
`void` | `setOutPipeline(HandlerPipeline outPipeline)`
`void` | `setProperty(java.lang.Object key, java.lang.Object value)`
`void` | `setService(Service service)`
`void` | `setSession(Session session)`
`void` | `setXFire(XFire xfire)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageContext

    public MessageContext()

Method Detail

### getXFire

    public XFire getXFire()

### setXFire

    public void setXFire(XFire xfire)

### createMessageExchange

    public MessageExchange createMessageExchange(OperationInfo operation)

### createMessageExchange

    public MessageExchange createMessageExchange(java.lang.String mepUri)

### getExchange

    public MessageExchange getExchange()

### setExchange

    public void setExchange(MessageExchange exchange)

### getOutMessage

    public OutMessage getOutMessage()

### getInMessage

    public InMessage getInMessage()

### getProperty

    public java.lang.Object getProperty(java.lang.Object key)

### setProperty

    public void setProperty(java.lang.Object key,
                            java.lang.Object value)

### getSession

    public Session getSession()

  The session that this request is a part of.

  Returns:

### setSession

    public void setSession(Session session)

### getService

    public Service getService()

  The service being invoked.

  Returns:

### setService

    public void setService(Service service)

### getInPipeline

    public HandlerPipeline getInPipeline()

### setInPipeline

    public void setInPipeline(HandlerPipeline messagePipeline)

### getOutPipeline

    public HandlerPipeline getOutPipeline()

### setOutPipeline

    public void setOutPipeline(HandlerPipeline outPipeline)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.